Bug 1498943 - NetworkManager-wait-online.service should not be enabled unconditionally
Summary: NetworkManager-wait-online.service should not be enabled unconditionally
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1455704
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-05 15:28 UTC by Thomas Haller
Modified: 2018-04-10 13:32 UTC (History)
25 users (show)

Fixed In Version: NetworkManager-1.10.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1455704
Environment:
Last Closed: 2018-04-10 13:31:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0778 None None None 2018-04-10 13:32:56 UTC

Comment 2 Thomas Haller 2017-11-14 12:10:11 UTC
this is already fixed in dist-git.

Comment 4 Vladimir Benes 2018-01-30 10:15:14 UTC
NM-w-o is not dependency of network-online.target

Comment 5 Thomas Haller 2018-01-31 13:29:23 UTC
now that NetworkManager-wait-online.service is no longer (always) wanted by network-online.target, we need to make sure that NM-w-o is enabled by default.

See https://bugzilla.redhat.com/show_bug.cgi?id=1520867

Comment 8 errata-xmlrpc 2018-04-10 13:31:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0778


Note You need to log in before you can comment on or make changes to this bug.